<?php

namespace App\Notification;

use Ntfy\Server;
use Ntfy\Message;
use Ntfy\Client;

class Ntfy implements NotificationInterface
{
    /** @var string[] $config */
    private array $config;

    private Client $client;

    /**
     * Initialize with configuration.
     *
     * @param string[] $config Configuration
     */
    public function __construct(array $config)
    {
        $this->config = $config;

        $this->client = new Client(new Server($config['domain']));
    }

    public function send(string $title, string $message): void
    {
        $msg = new Message();
        $msg->topic($this->config['topic']);
        $msg->title($title);
        $msg->body($message);
        $this->client->send($msg);
    }
}
